CreateCampaign

Create a campaign of a seller.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Required. Campaign info.

Definition of a campaign.

string

The id of the Campaign.
must be left unset for the Campaign creation request.
must be set for the other requests.

string

A descriptive name of the Campaign.

string

Required. The id of the Seller that owns this Campaign.
it is commerce platform specific seller id.
value and format can vary according to each commerce platform.

string

Required. Date in 'YYYY-MM-DD' when campaign begins. Inclusive.
a campaign will conceptually run during [date_start, date_end] inclusively.

string

Required. Date in 'YYYY-MM-DD' when campaign ends. Inclusive.
a campaign will conceptually run during [date_start, date_end] inclusively.

daily_budget
object

A monetary amount in a specific currency; the unit is micro at fixed point value
for accurate accumulation operation.
For example,
a value in amount_micro 1234 means 0.001234 Won if currency is KRW.
a value in amount_micro 1234 means $0.001234 if currency is USD.

goal
object

CampaignGoal describes which cost-metric goal a campaign aims for.

catalog_item_ids
array of strings

List of catalog items belonging to this campaign.
a catalog item id can be a product id or deal id in the catalogs.
note that an item can belong to multiple campaigns.

catalog_item_ids
string
enum
Defaults to UNKNOWN_STATE
Allowed:
date-time

Created timestamp.
API user should not touch this field; it is set internally.

date-time

Updated timestamp.
API user should not touch this field; it is set internally.

string

Required. Applying timezone for the campaign.
Must be in IANA timezone name format, e.g. Asia/Seoul.

string
enum
Defaults to UNKNOWN_TARGET_INVENTORY
Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json